opaque
Device proxies

The opaque proxy provides an interface for generic messages to drivers. More...

## Classes

struct | playerc_opaque_t
| Opaque device data. More...

## Functions

PLAYERC_EXPORT playerc_opaque_t * | playerc_opaque_create (playerc_client_t *client, int index)
| Create an opaque device proxy. More...
PLAYERC_EXPORT void | playerc_opaque_destroy (playerc_opaque_t *device)
| Destroy an opaque device proxy. More...
PLAYERC_EXPORT int | playerc_opaque_subscribe (playerc_opaque_t *device, int access)
| Subscribe to the opaque device.
PLAYERC_EXPORT int | playerc_opaque_unsubscribe (playerc_opaque_t *device)
| Un-subscribe from the opaque device.
PLAYERC_EXPORT int | playerc_opaque_cmd (playerc_opaque_t *device, player_opaque_data_t *data)
| Send a generic command.
PLAYERC_EXPORT int | playerc_opaque_req (playerc_opaque_t *device, player_opaque_data_t *request, player_opaque_data_t **reply)
| Send a generic request. More...

## Detailed Description

The opaque proxy provides an interface for generic messages to drivers.

See examples/plugins/opaquedriver for an example of using this interface in combination with a custom plugin.

## Function Documentation

PLAYERC_EXPORT playerc_opaque_t* playerc_opaque_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create an opaque device proxy.

PLAYERC_EXPORT void playerc_opaque_destroy | ( | playerc_opaque_t * | device | ) |

Destroy an opaque device proxy.

PLAYERC_EXPORT int playerc_opaque_req | ( | playerc_opaque_t * | device,
|  | player_opaque_data_t * | request,
|  | player_opaque_data_t ** | reply
| ) |  |

Send a generic request.

If a non null value is passed for reply memory for the response will be allocated and its pointer stored in reply. The caller is responsible for freeing this memory

If an error is returned no memory will have been allocated

Last updated 12 September 2005 21:38:45